[med-svn] [mauvealigner] 02/02: Add initial packaging

Andreas Tille tille at debian.org
Sun Apr 19 20:14:23 UTC 2015


This is an automated email from the git hooks/post-receive script.

tille pushed a commit to branch master
in repository mauvealigner.

commit e65aece8f9535a5fe78291483314b29dece0c81c
Author: Andreas Tille <tille at debian.org>
Date:   Sun Apr 19 22:13:32 2015 +0200

    Add initial packaging
---
 debian/changelog       |  5 +++++
 debian/compat          |  1 +
 debian/control         | 43 +++++++++++++++++++++++++++++++++++++++++++
 debian/copyright       | 20 ++++++++++++++++++++
 debian/get-orig-source | 33 +++++++++++++++++++++++++++++++++
 debian/rules           |  8 ++++++++
 debian/watch           |  1 +
 7 files changed, 111 insertions(+)

diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..edf3d93
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+mauvealigner (1.2.0+4713-1) unstable; urgency=low
+
+  * Initial release (Closes: #??????)
+
+ -- Andreas Tille <tille at debian.org>  Sun, 19 Apr 2015 21:14:45 +0200
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..ec63514
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+9
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..a6d1c4b
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,43 @@
+Source: mauvealigner
+Maintainer: Debian-Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille at debian.org>
+Section: science
+Priority: optional
+Build-Depends: debhelper (>= 9),
+               libmems-1.6-dev
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mauvealigner.git
+Vcs-Git: git://anonscm.debian.org/debian-med/mauvealigner.git
+Homepage: http://darlinglab.org/mauve/user-guide/mauvealigner.html
+
+Package: mauvealigner
+Architecture: any
+Section: science
+Depends: ${devlibs:Depends}
+Enhances: mauve
+Description: multiple genome alignment algorithms
+ The mauveAligner and progressiveMauve alignment algorithms have been
+ implemented as command-line programs included with the downloadable Mauve
+ software.  When run from the command-line, these programs provide options
+ not yet available in the graphical interface.
+ .
+ Mauve is a system for efficiently constructing multiple genome alignments
+ in the presence of large-scale evolutionary events such as rearrangement
+ and inversion. Multiple genome alignment provides a basis for research
+ into comparative genomics and the study of evolutionary dynamics.  Aligning
+ whole genomes is a fundamentally different problem than aligning short
+ sequences.
+ .
+ Mauve has been developed with the idea that a multiple genome aligner
+ should require only modest computational resources. It employs algorithmic
+ techniques that scale well in the amount of sequence being aligned. For
+ example, a pair of Y. pestis genomes can be aligned in under a minute,
+ while a group of 9 divergent Enterobacterial genomes can be aligned in
+ a few hours.
+ .
+ Mauve computes and interactively visualizes genome sequence comparisons.
+ Using FastA or GenBank sequence data, Mauve constructs multiple genome
+ alignments that identify large-scale rearrangement, gene gain, gene loss,
+ indels, and nucleotide substutition.
+ .
+ Mauve is developed at the University of Wisconsin.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..9e5a473
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,20 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: mauveAligner
+Upstream-Contact: Aaron Darling <darling at cs.wisc.edu>
+Source: http://sourceforge.net/p/mauve/code/HEAD/tree/mauveAligner/trunk/
+
+Files: *
+Copyright: 2003-2014, Aaron Darling -- darling at cs.wisc.edu
+License: GPL-2
+
+Files: debian/*
+Copyright: 2015, Andreas Tille <tille at debian.org>
+License: GPL-2
+
+License: GPL-2
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation version 2 of the License.
+ .
+ On Debian systems, the complete text of the licenses can be found in:
+ GPL-2 - `/usr/share/common-licenses/GPL-2'
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..8d665e7
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,33 @@
+#!/bin/sh
+# get source for libmuscle from SVN because there is no source tarball distribution
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+SVNURI="svn://svn.code.sf.net/p/mauve/code/mauveAligner/trunk"
+revision=`LANG=C svn info ${SVNURI} | grep "^Last Changed Rev:" | sed 's/Last Changed Rev: *//'`
+VERSION=`echo ${VERSION}| sed "s/+[0-9]\+$//"`+${revision}
+
+TARDIR=${NAME}-${VERSION}
+
+mkdir -p ../tarballs
+cd ../tarballs
+# svn export conserves time stamps of the files, checkout does not
+LC_ALL=C svn export ${SVNURI} ${TARDIR} >/dev/null 2>/dev/null
+
+cd ${TARDIR}
+rm -rf bin projects
+cd ..
+
+tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.xz "${TARDIR}"
+rm -rf "${NAME}"-"$VERSION"
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..b006a8b
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,8 @@
+#!/usr/bin/make -f
+
+%:
+	dh $@ --with autoreconf
+
+get-orig-source:
+	. debian/get-orig-source
+
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..e7e4d27
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1 @@
+# There is no tarball download location, mauveAligner is only available in SVN

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/mauvealigner.git



More information about the debian-med-commit mailing list